<?php
	include("../../config.inc.php");
	include($docroot."/core.php");
	include($docroot."/lib/user_check.php");
	include($docroot."/lib/permissions_check.php");
	
	if( $html->form('op') == 'get_costo_orario' ){
		$idtipointervento = $html->form('idtipointervento');
		
		$rs = $dbo->fetchArray("SELECT costo_orario FROM in_tipiintervento WHERE idtipointervento=\"".$idtipointervento."\"");
		echo $rs[0]['costo_orario'];
	}
	
	//Copia ordine di servizio da un impianto ad un altro
	else if( $html->form('op') == 'get_pianificazione_os' ){
		$idcontratto = save( $_GET['idcontratto'] );
		$matricola_src = save( $_GET['matricola_src'] );

		$ordiniservizio = array();

		if( $matricola_src!='' ){
			//Leggo tutti gli ordini di servizio creati per matricola_src
			$rs = $dbo->fetchArray("SELECT * FROM co_ordiniservizio WHERE idcontratto=\"".$idcontratto."\" AND matricola=\"".$matricola_src."\"");
		
			for( $i=0; $i<sizeof($rs); $i++ ){
				//Leggo tutte le voci di servizio
				$rs2 = $dbo->fetchArray("SELECT (SELECT id FROM in_vociservizio WHERE descrizione=voce) AS idvoce FROM co_ordiniservizio_vociservizio WHERE idordineservizio=\"".$rs[$i]['id']."\"");

				for( $v=0; $v<sizeof($rs2); $v++ ){
					array_push( $ordiniservizio, date("Ym", strtotime($rs[$i]['data_scadenza'])).":".$rs2[$v]['idvoce'] );
				}
			}

			//Ritorno l'array con le combinazioni di voce e mese pianificato
			echo implode( ",", $ordiniservizio );
			exit;
		}
	}
?>
